*,*::after,*::before{
    box-sizing: border-box;
 }
 *{
    margin: 0;
    padding: 0;
 }  
 .mobile-navbar{
   display:none;   
}

.logo-container{
   height:100%;
   width:20%;
   display:flex;
   justify-content:flex-start;
   align-items:center;
   z-index: 2;
}

.logo-container img{
   height:3rem;
}
.menu-container{
   height:100%;
   width:80%;
   display:flex;
   justify-content:flex-end;
   align-items:center;
   z-index: 2;
}

 
 :root{
    --bar-width:45px;
    --bar-height:8px;
    --hamburger-gap:4px;
    /* --foreground:#333; */
    --foreground: rgb(40,30,63);
    --hamb-foreground: rgb(110, 88, 148);
    /* --foreground: rgb(44,54,39); green */
    /* 255,197,62 yellow */
    /* 83,75,102 purple */
    --background:white;
    --hamburger-margin:25px;
    --animation-timing: 200ms ease-in-out;
    --hamburger-height:calc(var(--bar-height) * 3 + var(--hamburger-gap) * 2);
}
.hamburger-menu{
    --x-width:calc( var(--hamburger-height)* 1.41421356237);
    display: flex;
    flex-direction: column;
    gap: var(--hamburger-gap);
    width: max-content;
    position:fixed;
    top:var(--hamburger-margin);
    left:var(--hamburger-margin);
    z-index: 2000;
    cursor:pointer;
}
.hamburger-menu:has(input:checked){
    --hamb-foreground: white;
    --background: #333;
}

.hamburger-menu:has(input:focus-visible)::before,
.hamburger-menu:has(input:focus-visible)::after,
.hamburger-menu input:focus-visible{
    border:1px solid var(--background);
    box-shadow: 0 0 0 1px var(--hamb-foreground);
}
 .hamburger-menu::before, .hamburger-menu::after , .hamburger-menu input{
    content:"";
    width: var(--bar-width);
    height: var(--bar-height);
    background-color: var(--hamb-foreground);
    border-color: white;
    border-style: solid;
    border-width: thin;
    border-radius: 9999px;
    transition:opacity var(--animation-timing), width var(--animation-timing), rotate var(--animation-timing), translate var(--animation-timing), background-color var(--animation-timing);
    transform-origin: left center;
 }

 
 .hamburger-menu input{
    appearance: none;
    padding: 0;
    margin: 0;
    outline: none;
    pointer-events: none;
 }
/*EFFECT FOR CROSS*/
 /* .hamburger-menu:has(input:checked)::before{
    rotate:45deg;
    width: var(--x-width);
    translate: 0 calc(var(--bar-height) /-2);
 }
 .hamburger-menu:has(input:checked)::after{
    rotate:-45deg;
    width: var(--x-width);
    translate: 0 calc(var(--bar-height) /2);
 } */


 /* .hamburger-menu input:checked{
    opacity: 0;
    width: 0;
 } */
.hamburger-menu input:checked, .hamburger-menu:has(input:checked)::before,.hamburger-menu:has(input:checked)::after{/*disappearing hamburger menu*/
   display: none;
}



 .sidebar{
    transition: translate var(--animation-timing);
    translate:-100%;
    /* padding: 0rem 1rem; */
    /* padding-top: calc(var(--hamburger-height) + var(--hamburger-margin) + 1rem); */
    background-color: var(--foreground);
    color:var(--background);
    /* max-width: 10rem; */
    min-width: 16vw;
    min-height: 100vh;
    position:fixed;
      top:0;
    z-index: 1000;
 }
nav{
   height: 100vh;
    display: flex;
    flex-direction: column;
    justify-content: space-between;
}
 .hamburger-menu:has(input:checked) + .sidebar{
    translate:0;
 }

.navbar-home img{
    height:60px;
    /* margin: 20px 0; */
}
.navbar-link{
    margin:0px;  
}
.navbar-link a{
    text-decoration: none;
    color: var(--background);
    font-size: 1.2rem;
    font-weight: 500;
}
.nav-box{
   height: 40%;
   margin: 25px 15px;
}
.sm-icon-ig{
   height: 40%;
}
.nav-box, .sm-icon-ig{
margin-left:15px; 
margin-right: 15px;
display: flex;
flex-direction: column;
justify-content: center;
}
.sm-icon-ig{
 margin-bottom: 0px;
}
.sm-icon-ig>a>img{
   height:35px;
   width: 35px;
   /* margin:10rem 1rem; */
}

@media screen and (max-width: 1200px) {
   /* navbar media queries */
   .nav_bg{
       background-color:rgba(53, 61 , 72, 0.98);
   }
}

@media screen and (max-width: 1200px) { 
   .desktop-navbar{
       /* display:none; */
   }
   .mobile-navbar{
       display:block;
   }
}